Package org.springframework.jndi

# Class TypeMismatchNamingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.naming.NamingException
org.springframework.jndi.TypeMismatchNamingException

All Implemented Interfaces:
  `Serializable`

public class TypeMismatchNamingException extends NamingException
Exception thrown if a type mismatch is encountered for an object located in a JNDI environment. Thrown by JndiTemplate.

Since:
  1.2.8
Author:
  Juergen Hoeller
See Also:
  - `JndiTemplate.lookup(String, Class)`
  - Serialized Form

## Field Summary

### Fields inherited from class javax.naming.NamingException

`remainingName, resolvedName, resolvedObj, rootException`

## Constructor Summary

Constructors
Constructor
Description
`TypeMismatchNamingException(String jndiName, Class<?> requiredType, Class<?> actualType)`
Construct a new TypeMismatchNamingException, building an explanation text from the given arguments.

## Method Summary

Modifier and Type
Method
Description
`final Class<?>`
`getActualType()`
Return the actual type that the lookup returned, if available.
`final Class<?>`
`getRequiredType()`
Return the required type for the lookup, if available.

### Methods inherited from class javax.naming.NamingException

`appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TypeMismatchNamingException

public TypeMismatchNamingException(String jndiName, Class<?> requiredType, Class<?> actualType)
Construct a new TypeMismatchNamingException, building an explanation text from the given arguments.

Parameters:
  `jndiName` - the JNDI name
  `requiredType` - the required type for the lookup
  `actualType` - the actual type that the lookup returned

## Method Details

### getRequiredType

public final Class<?> getRequiredType()
Return the required type for the lookup, if available.

### getActualType

public final Class<?> getActualType()
Return the actual type that the lookup returned, if available.